package CatalystX::HelpText;
use Moose;
use namespace::autoclean;

1;

=head1 NAME

CatalystX::HelpText - Helper to include text/html snippets in Catalyst TT View templates

=head1 SYNOPSIS

Create a model class in your Catalyst project like:
    package TestApp::Model::Help;
    use Moose;
    use namespace::autoclean;

    extends 'CatalystX::HelpText::Model';

    1;

Configure it setting value for:
 - help_files_path: where the help files will be found
 - help_files_ext: what is the extension for the help files (default: html)
 - wrapper_tag: what tag will be used to wrap the shippet (default: span)
 - wrapper_css_class: what css class will be applied to the wrapper tag (default: help_text)

Create files with the text/html to be included and store them at help_files_path.

Apply the CatalystX::HelpText::ViewRole in your TT View.

Uses the [% helptext('SomeHelpTopic') %] in your templates to include the file SomeHelpTopic.html in the page.

Uses the script bin/search_undocumented_templates.pl to find the missing help text files.

=head1 AUTHOR

Thomas Doran,C<t0m at state51.co.uk>
Cinxgler Mariaca Minda,C<cinxgler at ci-info.com>

=head1 COPYRIGHT

Copyright state51.

=head1 LICENSE

This sofware is free software, and is licensed under the same terms as perl itself.

=cut

